Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Lists shipments matching the supplied filters. Staff can retrieve shipments across all store locations.
cURL
curl --request GET \ --url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments \ --header 'Authorization: Bearer <token>'
import requests url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "message": "<string>", "success": true, "content": { "shipments": [ { "order_number": "<string>", "sales_channel": { "id": "<string>", "name": "<string>", "type": "<string>" }, "reference_number": "<string>", "sub_total": 123, "sub_total_including_tax": 123, "grand_total": 123, "coupon_discount_amount": 123, "promotion_discount_amount": 123, "loyalty_point_redeemed": 123, "seller_id": "<string>", "marketplace_listing": [ { "marketplace_id": "<string>" } ], "packing": [ { "box_name": "<string>", "box_length": 123, "box_width": 123, "box_height": 123, "box_weight": 123, "items_count": 123, "box_count": 123, "box_id": "<string>", "max_weight": 123, "used_space": 123 } ], "order_status": "draft", "shipment_number": "<string>", "warehouse_id": "<string>", "warehouse_name": "<string>", "status": "unscheduled", "total_weight": 123, "total_boxes": 123, "shipment_items_count": 123, "shipping_estimated_cost": 123, "shipping_discount_amount": 123, "shipping_amount": 123, "shipping_tax_rate": 123, "shipping_tax_amount": 123, "shipping_amount_including_tax": 123, "shipping_provider_id": "<string>", "shipping_provider_name": "<string>", "courier_company_id": "<string>", "courier_company_name": "<string>", "courier_company_image_url": "<string>", "awb_no": "<string>", "shipping_label_url": "<string>", "eta_delivery": "<string>", "estimated_delivery_date": "<string>", "promised_delivery_date": "<string>", "out_for_delivery_date": "<string>", "shipped_date": "<string>", "delivered_date": "<string>", "returned_date": "<string>", "fulfillment_type": "delivery", "slo": { "expected_date": "2023-11-07T05:31:56Z", "actual_date": "2023-11-07T05:31:56Z", "difference": 123, "slo_status": "on-time" }, "cancellation_reason": "<string>", "customer_id": "<string>", "customer_name": "<string>", "billing_business_name": "<string>", "shipping_address_line1": "<string>", "shipping_address_line2": "<string>", "shipping_landmark": "<string>", "shipping_pincode": "<string>", "shipping_city": "<string>", "shipping_state": "<string>", "created_at": "2023-11-07T05:31:56Z", "modified_at": "2023-11-07T05:31:56Z", "order_date": "<string>" } ], "pagination": { "total_records": 123, "total_pages": 123, "previous_page": 123, "limit": 25, "next_page": 123 } } }
{ "message": "<string>", "success": true, "code": "<string>", "errors": {}, "content": {}, "details": "<string>" }
{ "message": "<string>", "success": true, "code": "<string>", "details": "<string>" }
{ "code": "<string>", "message": "<string>", "success": true, "details": "<string>" }
{ "message": "<string>", "success": true, "code": "<string>", "details": "<string>", "error_id": "<string>" }
Access token
Page number, starting at 1. Non-integer values and values below 1 return 400.
x >= 1
Results per page. Values outside 1–100 are clamped to that range. Non-integer input returns 400.
1 <= x <= 100
JSON object
"{\"condition\":\"AND\",\"filters\":[{\"type\":\"data\",\"field\":\"status\",\"operator\":\"equals\",\"value\":\"success\"}]}"
JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}
search keyword
Filter by awb no.
Filter by base shipment number.
Filter by cancellation reason.
Filter by cancelled by.
Filter by coupon discount amount.
Filter by courier aggregator name.
Filter by courier aggregator order id.
Filter by courier aggregator reference no.
Filter by courier company id.
Filter by courier company name.
Filter by created at.
Filter by davai shipment id.
Filter by delivered date.
Filter by delivery lead time.
Filter by delivery time gap.
Filter by estimated delivery date.
Filter by eta delivery.
Filter by fulfillment type.
Filter by grand total.
Filter by invoice url.
Filter by items weight.
Filter by last tracking time.
Filter by loyalty point redeemed.
Filter by manual shipping charges.
Filter by marketplace id.
Filter by modified at.
Filter by order.
Filter by out for delivery date.
Filter by packing bin weight.
Filter by packing details data.
Filter by packing option.
Filter by promised delivery date.
Filter by promotion discount amount.
Filter by reference number.
Filter by replacement shipment number.
Filter by return window.
Filter by returned date.
Filter by revised shipping date.
Filter by seller id.
Filter by seller reference no.
Filter by seller response data.
Filter by shipment number.
Filter by shipped date.
Filter by shipping amount.
Filter by shipping amount including tax.
Filter by shipping discount amount.
Filter by shipping estimated cost.
Filter by shipping label url.
Filter by shipping option.
Filter by shipping provider id.
Filter by shipping tax amount.
Filter by shipping tax rate.
Filter by shipping tax type.
Filter by slo status.
Filter by one or more shipment statuses, separated by commas.
Filter by store id.
Filter by sub total.
Filter by sub total including tax.
Filter by total boxes.
Filter by total weight.
Filter by track status.
Filter by tracking url.
Filter by warehouse id.
Filter by warehouse name.
OK
Show child attributes
Was this page helpful?